WCSCSPN(3)

NAME
wcscspn - span the complement of a wide string

SYNOPSIS
#include <wchar.h>
size_t
wcscspn(const wchar_t *s, const wchar_t *charset);

DESCRIPTION
The wcscspn() function spans the initial part of the wide string s as long as the wide characters from s do not occur in string charset (it spans the complement of charset).

RETURN VALUES
The wcscspn() function returns the number of wide characters spanned.

SEE ALSO
strcspn(3), wcschr(3), wcspbrk(3), wcsrchr(3), wcsspn(3), wcsstr(3), wcstok(3), wmemchr(3)

STANDARDS
The wcscspn() function conforms to isoC-99 and was first introduced in isoC-amd1.

HISTORY
The wcscspn() function was ported from NetBSD and first appeared in OpenBSD 3.8.